aboutsummaryrefslogtreecommitdiffstats
path: root/generic-resource-api/installer/src/main
diff options
context:
space:
mode:
authorDan Timoney <dtimoney@att.com>2017-09-05 20:33:51 -0400
committerDan Timoney <dtimoney@att.com>2017-09-05 20:48:29 -0400
commitc3342a09a1bec20195a9617ad5b31f5bd9ac7e00 (patch)
tree875d8294438f4887ef3e45f992eefc93976d6c14 /generic-resource-api/installer/src/main
parenteb2d40205c8fa043166027a10d9cdb10415e6cbf (diff)
Seed code submit of generic-resource-api
Final seed code submit of generic-resource-api. This version is ready to submit if it verifies clean. Change-Id: Id5d5cec97a5deccfbda478c0dd7e1967900d76a1 Issue-ID: SDNC-45 Signed-off-by: Dan Timoney <dtimoney@att.com>
Diffstat (limited to 'generic-resource-api/installer/src/main')
-rw-r--r--generic-resource-api/installer/src/main/resources/scripts/install-feature.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/generic-resource-api/installer/src/main/resources/scripts/install-feature.sh b/generic-resource-api/installer/src/main/resources/scripts/install-feature.sh
new file mode 100644
index 00000000..6e8620e1
--- /dev/null
+++ b/generic-resource-api/installer/src/main/resources/scripts/install-feature.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+###
+# ============LICENSE_START=======================================================
+# openECOMP : SDN-C
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights
+# reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
+ODL_HOME=${ODL_HOME:-/opt/opendaylight/current}
+ODL_KARAF_CLIENT=${ODL_KARAF_CLIENT:-${ODL_HOME}/bin/client}
+ODL_KARAF_CLIENT_OPTS=${ODL_KARAF_CLIENT_OPTS:-"-u karaf"}
+INSTALLERDIR=$(dirname $0)
+
+REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
+
+if [ -f ${REPOZIP} ]
+then
+ unzip -d ${ODL_HOME} ${REPOZIP}
+else
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
+fi
+
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:repo-add ${features.repositories}
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:install ${features.boot}